oracle.adf.desktopintegration.model

## Class ModelHelper

- java.lang.Object
- - oracle.adf.desktopintegration.model.ModelHelper

-     public final class ModelHelper
      extends java.lang.Object

  Helper class that exposes ADFdi specific (model-only) APIs IMPORTANT NOTE: These APIs are specific to ADF Desktop Integration solutions and are not intended to be called for any other purpose!

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static oracle.jbo.server.ViewRowImpl` | `getAdfdiTempChildRow(oracle.jbo.server.ViewRowImpl masterRow, java.lang.String childAccessor)` Utility method used to lookup temporary (dummy) ADFdi child ViewRowImpl object associated with a particular master row.
    `static oracle.jbo.server.ViewRowImpl` | `getAdfdiTempRowForView(oracle.jbo.server.ApplicationModuleImpl am, java.lang.String viewDefName)` Utility method used to lookup temporary (dummy) ADFdi ViewRowImpl object associated with a particular view.
    `static oracle.jbo.server.ViewDefImpl` | `getChildViewDef(oracle.jbo.server.ViewRowImpl masterRow, java.lang.String childAccessor)` Lookup child ViewDefImpl object.
    `static java.lang.String[]` | `getChildViewLinkSourceAttributes(oracle.jbo.server.ViewRowImpl masterRow, java.lang.String childAccessor)` Lookup view link source attribute names between master and child.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelHelper

          public ModelHelper()

  - ### Method Detail

    - #### getAdfdiTempChildRow

          public static final oracle.jbo.server.ViewRowImpl getAdfdiTempChildRow(oracle.jbo.server.ViewRowImpl masterRow,
                                                                                 java.lang.String childAccessor)

      Utility method used to lookup temporary (dummy) ADFdi child ViewRowImpl object associated with a particular master row. NOTE: ADFdi servlet code creates this temporary row if needed and uses it to store attribute values sent up from the client when there are no actual ViewRowImpl objects available.
      Parameters:
        `masterRow` - master row
        `childAccessor` - child accessor (attribute) name
      Returns:
        temporary child ViewRowImpl object containing any attribute values sent from client, may be null (eg. view def not found).

    - #### getAdfdiTempRowForView

          public static final oracle.jbo.server.ViewRowImpl getAdfdiTempRowForView(oracle.jbo.server.ApplicationModuleImpl am,
                                                                                   java.lang.String viewDefName)

      Utility method used to lookup temporary (dummy) ADFdi ViewRowImpl object associated with a particular view. NOTE: ADFdi servlet code creates this temporary row if needed and uses it to store attribute values sent up from the client when there are no actual ViewRowImpl objects available.
      Parameters:
        `am` - app module instance
        `viewDefName` - view definition name
      Returns:
        temporary ViewRowImpl object containing any attribute values sent from client, may be null (eg. if view object is not found).

    - #### getChildViewDef

          public static final oracle.jbo.server.ViewDefImpl getChildViewDef(oracle.jbo.server.ViewRowImpl masterRow,
                                                                            java.lang.String childAccessor)

      Lookup child ViewDefImpl object. IMPORTANT NOTE: This method is marked public only so the logic can be shared by getTempAdfdiChildRow and ADFdi remote servlet. This method will first look for a polymorphic child view definition In that case, the master row source attributes will get used to lookup the correct polymorphic child view def via ViewObjectImpl.findViewDefFromDiscrValues API. If no child discriminator attributes are defined (or the child view is non-polymorphic), the default child ViewDefImpl object will be returned.
      Parameters:
        `masterRow` - master row
        `childAccessor` - child accessor (attribute) name
      Returns:
        ViewDefImpl of child view object, or null if not found

    - #### getChildViewLinkSourceAttributes

          public static final java.lang.String[] getChildViewLinkSourceAttributes(oracle.jbo.server.ViewRowImpl masterRow,
                                                                                  java.lang.String childAccessor)

      Lookup view link source attribute names between master and child. IMPORTANT NOTE: This method is marked public only so the logic can be shared by ModelHelper and ADFdi remote servlet.
      Parameters:
        `masterRow` - master row
        `childAccessor` - child accessor (attribute) name
      Returns:
        String[] containing view link source attribute names between master and child

Copyright © 1997, 2020, Oracle and/or its affiliates. All rights reserved.